namespace MyOffice.Core.Extensions;

public static class GuidExtensions
{
	public static bool EqualsString(this Guid guid, string str)
	{
		return guid.ToString().EqualsIgnoreCase(str);
	}

	public static string ToShort(this Guid guid)
	{
		/*string encoded = Convert.ToBase64String(guid.ToByteArray());
		encoded = encoded
			.Replace("/", "_")
			.Replace("+", "-");

		return encoded.Substring(0, 22);*/
		return guid.ToString("N");
	}
}